#include <bits/stdc++.h>

using namespace std;

struct Freelancer
{
    long int salary;
    double tax;
};

bool cmpFreelancer(const Freelancer &f1, const Freelancer &f2)
{
    return f1.tax < f2.tax;
}

int main()
{
    int n;
    scanf("%d", &n);
    Freelancer freelancers[n];

    long long max_salary = 0;
    for(int i=0; i < n; i++)
    {
        scanf("%ld %lf", &freelancers[i].salary, &freelancers[i].tax);
        max_salary += freelancers[i].salary;
    }
    sort(freelancers, freelancers+n, cmpFreelancer);

    double taxed_salary = 0;
    for(int i=0; i < n; i++)
    {
        if(i > 0)
        {
            max_salary -= freelancers[i-1].salary;
            taxed_salary = max(taxed_salary, (max_salary * freelancers[i].tax)/100);
        }
        else
        {
            taxed_salary = (max_salary * freelancers[i].tax)/100;
        }
    }
    printf("%lf", taxed_salary);

    return 0;
}